Class | Fog::Storage::AWS::File
In: | lib/fog/aws/models/storage/file.rb
Parent: | Fog::Model

### Methods

acl= body body= copy destroy directory metadata metadata= owner= public= public_url save url versions

### Attributes

body | [W] |
multipart_chunk_size | [RW] | Chunk size to use for multipart uploads Use small chunk sizes to minimize memory E.g. 5242880 = 5mb

### Public Instance methods

acl=(new_acl)
body()
body=(new_body)
copy(target_directory_key, target_file_key, options = {})
destroy(options = {})
directory()
metadata()
metadata=(new_metadata)
owner=(new_owner)
public=(new_public)
public_url()
save(options = {})
url(expires, options = {})
versions()

[Validate]